<?php
	// LiteDoodle version 0.1 (C) 2008 V.Harishankar
	// Lightweight Comics/Images Blogging system

	// Comments file

	// Define
	define ('IN_MAIN', 'inmain');

	require_once ('config.php');
	require_once ('functions.php');

	// If the form is not posted, die
	if (! isset ($_POST['commentname']) )
		die;

	// If there is not targetted comic, die
	if (! isset ($_GET['id']) )
		die;

	$comic_id = strval ($_GET['id']);
	
	$name = htmlentities ($_POST['commentname']);
	$email = htmlentities ($_POST['email']);
	$website = htmlentities ($_POST['website']);
	$comment = htmlentities ($_POST['comment']);
	$comment = str_replace ("\n", "<br />", $comment);
	
	$antispamid = intval ($_POST['antispamid']);
	$antispam = $_POST['antispam'];

	if (strlen ($name) == 0 || strlen ($email) == 0 || strlen ($comment) == 0 || strlen ($antispam) == 0)
		$message = array ("Comment Failure", "Required fields missing. Cannot submit comment!");
	else if (strlen ($comment) > COMMENTS_MAX)
		$message = array ("Comment Failure", "Comment exceeds maximum characters of " . strval (COMMENTS_MAX) . ". Cannot submit comment!");
	else if (strcmp ($GLOBALS['answers'][$antispamid], $antispam) != 0)
	{
		echo $antispamid;
		$message = array ("Comment Failure", "Antispam code entered is wrong. Cannot submit comment!");
	}
	else
	{
		if (strcmp ($website, "http://") == 0)
			$website = "";

		$comment_file_name = COMMENTS_DIR . $comic_id . ".txt";

		$f =  fopen ($comment_file_name, "a");
		if (! $f )
			$message = array ("Comment Failure", "Comment file cannot be opened for writing! Please check whether comments are writeable!");
		else
		{
			write_comment ($f, $name, $email, $website, $comment);
			fclose ($f);
			$message = array ("Comment submitted", "Your comment has been submitted");
			header ("Refresh:2; Url=index.php?id=" . $comic_id);
		}
	}
?>

<?php	// page title
	$page_title = "Comments submission - " . SITE_TITLE;
	include ('header.php');
?>
		<div id="content">
			<h2><?php echo $message[0] ?></h2>
			<div class="descclass">
				<p><?php echo $message[1] ?></p>
				<p><a href="index.php?id=<?php echo $comic_id ?>">Return to comic</a></p>
			</div>
		</div>

<?php	include ('footer.php') ?>