<?php
	// LiteDoodle version 0.1 (C) 2008 V.Harishankar
	// Lightweight Comics/Images Blogging system

	// Main index file
	
	// Define
	define ('IN_MAIN', 'inmain');

	require_once ('config.php');
	require_once ('functions.php');

	$arcomics = get_comics_list ();
	// Get in reverse chronological order
	$comics = array_reverse ($arcomics);
?>
<?php
	$page_title = "Archives - " . SITE_TITLE;
	include ('header.php'); ?>
		<div id="content">
		<h2>Archives</h2>
		<table class="archivetable">
		<thead>
			<tr>
				<th style="width:55%;">Title</th>
				<th>Date</th>
			</tr>
		</thead>
		<tbody>
		<?php foreach ($comics as $comic) { ?>
			<tr>
				<td><a href="index.php?id=<?php echo $comic['name'] ?>"><?php echo $comic['title'] ?></a></td>
				<td><?php echo date (DATE_FORMAT, $comic['mtime'])?></td>
			</tr>
		<?php } ?>
		</tbody>
		</table>
		</div>

<?php	include ('footer.php'); ?>
